/**
 * Play an audio file.
 *
 * @param audioPath The path to the audio file to play. This can be a local file or remote file (http:// or https://).
 * @throws {@link Error} Thrown when PAT cannot play an audio file.
 */
export declare function play(audioPath: string): Promise<void>;
/**
 * Play an audio file.
 *
 * @param audioPath The path to the audio file to play. This can be a local file or remote file (http:// or https://).
 * @throws {@link Error} Thrown when PAT cannot play an audio file.
 */
export declare function skip(): Promise<void>;
/**
 * Skip playback of the current audio file. This method does nothing if there is not an audio file playing.
 *
 * @throws {@link Error} Thrown when PAT cannot skip playback.
 */
export declare function pause(): Promise<void>;
/**
 * Resume audio playback. This method does nothing if audio playback is already resumed.
 *
 * @throws {@link Error} Thrown when PAT cannot resume playback.
 */
export declare function resume(): Promise<void>;
declare const _default: {
    play: typeof play;
    skip: typeof skip;
    pause: typeof pause;
    resume: typeof resume;
};
export default _default;
//# sourceMappingURL=nodepat.d.ts.map